cndg6
Enthusiast
Enthusiast

How to install VMware Workstation 16 on CentOS 8: avoiding the "Unable to install all modules" error

** UPDATE ** See my post on the next page for updated zip fix

There's a bug in the vmware vmmon-only/linux/hostif.c module file which doesn't read the CentOS 8 version number properly, breaking the compiler, preventing the install.

To work around this - click "Close" on the "Unable to install all modules" error, but keep the underlying install window open:

Extract the "hostif.c" file in the attached zip into your /tmp folder, remove any existing broken install folders by doing this:-

        rmdir /tmp/modconfig-*

run the following perl 1-liner,

      perl -e 'while(1){@f=`ls -d /tmp/modconfig-* 2>/dev/null`; chomp @f; if(-d $f[0]){`cp -a /tmp/hostif.c $_/vmmon-only/linux/` foreach(@f); print "$f\n";sleep(1);$i++}; print "."; exit(0) if($i>10);}'

then click the "Install" button again on the VMware Kernel Module Updater window.

 

For those interested - this is the fix that mitigates the problem:

 

*** hostif_original.c 2021-03-08 04:11:14.661421195 +0000
--- ../vmmon-only/linux/hostif.c 2021-03-08 04:10:33.060476174 +0000
***************
*** 1680,1684 ****
*/

! #if LINUX_VERSION_CODE < KERNEL_VERSION(5, 0, 0)
extern unsigned long totalram_pages;
PageCnt totalPhysicalPages = totalram_pages;
--- 1680,1684 ----
*/

! #if 0 /* LINUX_VERSION_CODE < KERNEL_VERSION(5, 0, 0) */
extern unsigned long totalram_pages;
PageCnt totalPhysicalPages = totalram_pages;
***************
*** 1709,1713 ****
/* NR_SLAB_* moved from zone to node in 4.13. */

! #if LINUX_VERSION_CODE >= KERNEL_VERSION(5, 9, 0)
lockedPages += global_node_page_state_pages(NR_SLAB_UNRECLAIMABLE_B);
#elif LINUX_VERSION_CODE >= KERNEL_VERSION(4, 13, 0)
--- 1709,1713 ----
/* NR_SLAB_* moved from zone to node in 4.13. */

! #if 1 /* LINUX_VERSION_CODE >= KERNEL_VERSION(5, 9, 0) */
lockedPages += global_node_page_state_pages(NR_SLAB_UNRECLAIMABLE_B);
#elif LINUX_VERSION_CODE >= KERNEL_VERSION(4, 13, 0)

26 Replies
latestarterlrnr
Contributor
Contributor

Hi cndg6, I tried your fix on centos 8 stream without success.

The perl oneliner seems to print dot perpetually, so I tried clicking the "Install" button on the VMware Kernel Module Updater window while the oneliner still printing dots, the problem still persists.

I also tried clicking the install button of the underlying window after ctrl-c stopped the oneliner.

Could you please have a look at the error log and give a workaround?

2021-03-17T15:20:49.182+08:00| host-1416054| I005: /tmp/modconfig-odlykQ/vmmon-only/linux/hostif.c: In function ‘HostIF_EstimateLockedPageLimit’:
2021-03-17T15:20:49.182+08:00| host-1416054| I005: /tmp/modconfig-odlykQ/vmmon-only/linux/hostif.c:1683:25: error: ‘totalram_pages’ redeclared as different kind of symbol
2021-03-17T15:20:49.182+08:00| host-1416054| I005: extern unsigned long totalram_pages;
2021-03-17T15:20:49.182+08:00| host-1416054| I005: ^~~~~~~~~~~~~~
2021-03-17T15:20:49.182+08:00| host-1416054| I005: In file included from ./include/drm-backport/linux/mm.h:12,
2021-03-17T15:20:49.182+08:00| host-1416054| I005: from /tmp/modconfig-odlykQ/vmmon-only/linux/hostif.c:42:
2021-03-17T15:20:49.182+08:00| host-1416054| I005: ./include/linux/mm.h:56:29: note: previous definition of ‘totalram_pages’ was here
2021-03-17T15:20:49.182+08:00| host-1416054| I005: static inline unsigned long totalram_pages(void)
2021-03-17T15:20:49.182+08:00| host-1416054| I005: ^~~~~~~~~~~~~~
2021-03-17T15:20:49.182+08:00| host-1416054| I005: /tmp/modconfig-odlykQ/vmmon-only/linux/hostif.c:1714:42: error: ‘NR_SLAB_UNRECLAIMABLE’ undeclared (first use in this function); did you mean ‘NR_SLAB_UNRECLAIM
ABLE_B’?
2021-03-17T15:20:49.182+08:00| host-1416054| I005: lockedPages += global_node_page_state(NR_SLAB_UNRECLAIMABLE);
2021-03-17T15:20:49.182+08:00| host-1416054| I005: ^~~~~~~~~~~~~~~~~~~~~
2021-03-17T15:20:49.182+08:00| host-1416054| I005: NR_SLAB_UNRECLAIMABLE_B
2021-03-17T15:20:49.182+08:00| host-1416054| I005: /tmp/modconfig-odlykQ/vmmon-only/linux/hostif.c:1714:42: note: each undeclared identifier is reported only once for each function it appears in
2021-03-17T15:20:49.182+08:00| host-1416054| I005: /tmp/modconfig-odlykQ/vmmon-only/linux/driver.c: In function ‘LinuxDriver_Ioctl’:
2021-03-17T15:20:49.182+08:00| host-1416054| I005: /tmp/modconfig-odlykQ/vmmon-only/linux/driver.c:1260:5: warning: "VMX86_DEVEL" is not defined, evaluates to 0 [-Wundef]
2021-03-17T15:20:49.182+08:00| host-1416054| I005: #if VMX86_DEVEL
2021-03-17T15:20:49.182+08:00| host-1416054| I005: ^~~~~~~~~~~
2021-03-17T15:20:49.182+08:00| host-1416054| I005: At top level:
2021-03-17T15:20:49.182+08:00| host-1416054| I005: /tmp/modconfig-odlykQ/vmmon-only/linux/driver.c:680:1: warning: always_inline function might not be inlinable [-Wattributes]
2021-03-17T15:20:49.182+08:00| host-1416054| I005: LinuxDriverSyncReadTSCs(uint64 *delta) // OUT: TSC max - TSC min
2021-03-17T15:20:49.182+08:00| host-1416054| I005: ^~~~~~~~~~~~~~~~~~~~~~~
2021-03-17T15:20:49.182+08:00| host-1416054| I005: make[2]: *** [scripts/Makefile.build:316: /tmp/modconfig-odlykQ/vmmon-only/linux/hostif.o] Error 1

...

2021-03-17T15:20:49.182+08:00| host-1416054| I005: ./arch/x86/include/asm/msr-index.h:750: note: this is the location of the previous definition
2021-03-17T15:20:49.182+08:00| host-1416054| I005: #define MSR_TSX_FORCE_ABORT 0x0000010F
2021-03-17T15:20:49.182+08:00| host-1416054| I005:
2021-03-17T15:20:49.182+08:00| host-1416054| I005: /tmp/modconfig-odlykQ/vmmon-only/common/.tmp_task.o: warning: objtool: .text: unexpected end of section
2021-03-17T15:20:49.182+08:00| host-1416054| I005: make[1]: *** [Makefile:1545: _module_/tmp/modconfig-odlykQ/vmmon-only] Error 2
2021-03-17T15:20:49.182+08:00| host-1416054| I005: make: *** [Makefile:117: vmmon.ko] Error 2

0 Kudos
cndg6
Enthusiast
Enthusiast

The trick is to fix the /tmp/hostif.c file after the installer has extracted it, but before it gets used in the compile step.

If you're quick, you might be able to do that manually.  The installer creates a new folder in /tmp - so as soon as that exists, copy the fixed file in there.

 

 

cndg6
Enthusiast
Enthusiast

How this one-liner works:-

 

perl -e 'while(1){@f=`ls -d /tmp/modconfig-* 2>/dev/null`; chomp @f; if(-d $f[0]){`cp -a /tmp/hostif.c $_/vmmon-only/linux/` foreach(@f); print "$f\n";sleep(1);$i++}; print "."; exit(0) if($i>10);}'

 

perl -e 'while(1){ # forever

@f=`ls -d /tmp/modconfig-* 2>/dev/null`; # get the list of all folders in /tmp with this name * vmware creates 2 (one dummy empty one, one real)

chomp @f; # remove all the \n off the end

if(-d $f[0]){ # if the first one is a folder...

`cp -a /tmp/hostif.c $_/vmmon-only/linux/` foreach(@f) # copy the fixed file into all of them

; print "$f\n";sleep(1); # wait

$i++}; # count

print "."; exit(0) if($i>10); # do this 10 times - in case the first few were too fast (and the bad file then overwrites the new good one) - doing this 10 times makes sure we overwrite theirs, not the other way around

}'

cndg6
Enthusiast
Enthusiast

FYI - it prints those dots while it waits.  If it prints them forever, it's not catching the installer properly - re-try a few times ?

must be run as root of course.

latestarterlrnr
Contributor
Contributor

Thank you very much for your detailed replies.

The problem got away when that oneliner was run with sudo.

I didn't even think of trying with sudo. Lessons learned.

Thank you.

0 Kudos
saulofonseca
Contributor
Contributor

Thank u very much. It worked for me on Oracle Linux 8.

Regards


Att.
Saulo Fonseca

0 Kudos
farid110
Contributor
Contributor

 

Hi everyone

 

Apparently in the new version 16.2.x, some files have been deleted that makes the perl script not to work.

Thanks to @cndg6 and @mkubecek I want to give a brief explanation for our new-to-linux guys.

First go to https://github.com/mkubecek/vmware-host-modules/branches and download the version based on the version you want to install.

I solved my issue by doing these:

1- I'm on Kernel 5.14.0-124.el9.x86_64 so I edited these:

vmnet-only/compat_netdevice.h:201
#if LINUX_VERSION_CODE >= KERNEL_VERSION(5, 18, 0)
to
#if LINUX_VERSION_CODE >= KERNEL_VERSION(5, 13, 0)

vmnet-only/netif.c:88
#if LINUX_VERSION_CODE < KERNEL_VERSION(5, 15, 0)
to
#if LINUX_VERSION_CODE < KERNEL_VERSION(5, 15, 0)

2- Then make Tar vmmon-only and vmnet-only folders

 

 

tar -cf vmmon.tar vmmon-only

tar -cf vmnet.tar vmnet-only

 

 

 

3- Later copy the files to this path /usr/lib/vmware/modules/source/ :

 

 

sudo cp -v vmmon.tar vmnet.tar /usr/lib/vmware/modules/source/

 

 

 

This Path might vary based on distribution so just change it to match yours:

/usr/lib/gcc/x86_64-redhat-linux/11/include

4- Finally, run this command to compile headers manually:

 

 

sudo CPATH=/usr/lib/gcc/x86_64-redhat-linux/11/include vmware-modconfig --console --install-all

 

 

 

 

 

Tags (2)
0 Kudos
alexis_cousein
Contributor
Contributor

Personally,  I find it simpler to untar the original vmmon.tar, fix the file, move the original tarball and tar the fixed directory again.

I tried your Perl script and for the similar fixes I needed to make the 16.2.0 build-18760230 version work on the most recent RH8 it doesn't manage to copy the file over while the modules are getting compiled (it's a race and the Perl script seems to lose the race), whereas

cd /usr/lib/vmware/modules/source

tar xvf vmmon.tar

cd vmmon-only/linux

<edit the hostif.c file>

cd ../..

mv vmmon.tar vmmon.tar.bad

tar cvf vmmon.tar vmmon-only

does seem to work.

0 Kudos
alexis_cousein
Contributor
Contributor

BTW, I also preferred to make correct guards that would still try to detect what's right for the OS detected, rather than crudely poking the True/False value that's right for recent RedHat8. i.e.:

#if (LINUX_VERSION_CODE < KERNEL_VERSION(5, 0, 0)) && \
!(defined(RHEL_RELEASE_CODE) && \
(RHEL_RELEASE_CODE >= RHEL_RELEASE_VERSION(8, 0)))
extern unsigned long totalram_pages;
PageCnt totalPhysicalPages = totalram_pages;
#else
PageCnt totalPhysicalPages = totalram_pages();
#endif

[...]

#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 9, 0)) || \
(defined(RHEL_RELEASE_CODE) && \
(RHEL_RELEASE_CODE >= RHEL_RELEASE_VERSION(8, 0)))
lockedPages += global_node_page_state_pages(NR_SLAB_UNRECLAIMABLE_B);
#elif LINUX_VERSION_CODE >= KERNEL_VERSION(4, 13, 0)
lockedPages += global_node_page_state(NR_SLAB_UNRECLAIMABLE);
#else
lockedPages += global_page_state(NR_SLAB_UNRECLAIMABLE);
#endif

0 Kudos
gurutech1
Contributor
Contributor

This doesn't seem to be working for me.  I'm running Centos Stream 8, kernel version 4.18.0-348.

 

Any additional suggestions?

0 Kudos
cndg6
Enthusiast
Enthusiast

are you running is as root ?

0 Kudos
gurutech1
Contributor
Contributor

Have tried it as root and my local account.  Same thing happens.

0 Kudos
alexis_cousein
Contributor
Contributor

Perhaps you could detail the exact steps you took (there are more than one recipe in the thread) and the log file that VMWare tells you to check?

0 Kudos
cdang_2000
Contributor
Contributor

Hi,

I tried both recipes in this threads:

(1) Use the hostif.c from the tar file:

           rmdir /tmp/modconfig-*, untar and copy hostif.c to /tmp/ folder, run one-line perl script and see '.....', , click on "Install".

(2) Modified hostif.c and make new tar file:

           untar /usr/lib/vmware/modules/source/vmmon.tar, replace /usr/lib/vmware/modules/source/vmmon-only/linux/hostif.c with the hostif.c from the tar file, move the old tar file and create new tar file from vmmon-only, click on "Install".

In both recipes, I still got the message "Unable to install all modules..."

Attached is the log file.

I switch to 'su' before trying both recipes.

Hope someone can shed light on this issue.

0 Kudos
alexis_cousein
Contributor
Contributor

2021-10-25T23:32:50.691Z In(05) host-86171 /tmp/modconfig-lRAOAi/vmmon-only/linux/hostif.c:58:10: fatal error: vmware.h: No such file or directory
2021-10-25T23:32:50.691Z In(05) host-86171  #include "vmware.h"
2021-10-25T23:32:50.691Z In(05) host-86171           ^~~~~~~~~~

I never blindly copy someone else's hostif.c, I always use it as inspiration to FIX the existing one (usually using meld). Because if in the next version they change hostif.c but do not fix the conditions of the guarding '#if defined' preprocessor macros to work on CentOS8 and RH8, you have no alternative but to merge the changes rather than replace the file.

The version of 'hostif.c' that you just tried to plonk in place seems to be for another flavour of the overarching vmmon-only directory. I fixed mine manually and it does not have a reference to "vmware.h", a file that seems to be conspicuously absent from vmmon-only/include on my system.

The recipe works, but the ingredients are version-dependent.

My earlier post details the #if defined conditions that do work for me. It's not that hard to find the rest of the statements beyond these two conditions I changed in the existing source of hostif.c

If you really can't manage to merge the changes, post the original tarball's hostif.c (not the one posted at the start of this thread!) and someone else can try to give you a corrected copy.

 

0 Kudos
mkubecek
Hot Shot
Hot Shot

vmware.h was removed between versions 16.1.2 and 16.2.0, this patch  should work for Workstation 16.2.0.

Unfortunately I got a report that CentOS Stream added another backport recently which will need to be handled in a similar way but I'll need some time to get sources of relevant kernel packages and find what exactly should the condition look like.

farid110
Contributor
Contributor

Hi everyone

 

Apparently in the new version 16.2.x, some files have been deleted that makes the perl script not to work.

Thanks to @cndg6 and @mkubecek I want to give a brief explanation for our new-to-linux guys.

First go to https://github.com/mkubecek/vmware-host-modules/branches and download the version based on the version you want to install.

 

1- Then make Tar vmmon-only and vmnet-only folders

tar -cf vmmon.tar vmmon-only

tar -cf vmnet.tar vmnet-only

 

2- Later copy the files to this path /usr/lib/vmware/modules/source/ :

cp -v vmmon.tar vmnet.tar /usr/lib/vmware/modules/source/

 

3- Finally, run this command to compile headers manually:

sudo vmware-modconfig --console --install-all

Tags (1)
0 Kudos
Mindtaker
Contributor
Contributor

Hello,

I tried to fix this Issue by following your steps and it doesn´t seem to work.

 

I got this error appearing: /tmp/modconfig-4eSBrE/vmmon-only/common/crosspage.c:53:16: schwerwiegender Fehler: linux/frame.h: Datei oder Verzeichnis nicht gefunden
# include <linux/frame.h>

Linux Base 4.18.0-348.el8.x86_64 #1 SMP Tue Oct 19 15:14:17 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

CentOS 8 Stream

Here´s the full terminal:

Spoiler

[jblue@Base ~]$ cd ./Downloads
[jblue@Base Downloads]$ chmod a+x VMware-Workstation-Full-16.2.1-18811642.x86_64.bundle
[jblue@Base Downloads]$ ./VMware-Workstation-Full-16.2.1-18811642.x86_64.bundle
Extracting VMware Installer...done.
root access is required for the operations you have chosen.
[jblue@Base Downloads]$ sudo ./VMware-Workstation-Full-16.2.1-18811642.x86_64.bundle

Wir gehen davon aus, dass der lokale Systemadministrator Ihnen die
Regeln erklärt hat. Normalerweise läuft es auf drei Regeln hinaus:

#1) Respektieren Sie die Privatsphäre anderer.
#2) Denken Sie nach, bevor Sie tippen.
#3) Mit großer Macht kommt große Verantwortung.

[sudo] Passwort für jblue:
Extracting VMware Installer...done.
Installing VMware Workstation 16.2.1
Configuring...
[######################################################################] 100%
Installation was successful.
[jblue@Base Downloads]$ sudo yum groupinstall "Develepment Tools"
CentOS Stream 8 - AppStream 21 MB/s | 17 MB 00:00
CentOS Stream 8 - BaseOS 23 MB/s | 14 MB 00:00
CentOS Stream 8 - Extras 51 kB/s | 16 kB 00:00
Letzte Prüfung auf abgelaufene Metadaten: vor 0:00:01 am Mi 17 Nov 2021 22:40:33 CET.
Module or Group 'Develepment Tools' is not available.
Fehler: Nichts zu tun.
[jblue@Base Downloads]$ sudo yum groupinstall "Development Tools"
Letzte Prüfung auf abgelaufene Metadaten: vor 0:00:36 am Mi 17 Nov 2021 22:40:33 CET.
Abhängigkeiten sind aufgelöst.
================================================================================
Package Arch Version Repo Size
================================================================================
Pakete der Gruppe/des Moduls werden installiert:
asciidoc noarch 8.6.10-0.5.20180627gitf7c2274.el8
appstream 216 k
autoconf noarch 2.69-29.el8 appstream 710 k
automake noarch 1.16.1-7.el8 appstream 713 k
bison x86_64 3.0.4-10.el8 appstream 688 k
byacc x86_64 1.9.20170709-4.el8 appstream 91 k
ctags x86_64 5.8-22.el8 appstream 170 k
diffstat x86_64 1.61-7.el8 appstream 44 k
elfutils-libelf-devel x86_64 0.185-1.el8 baseos 59 k
flex x86_64 2.6.1-9.el8 appstream 320 k
gcc x86_64 8.5.0-3.el8 appstream 23 M
gcc-c++ x86_64 8.5.0-3.el8 appstream 12 M
gdb x86_64 8.2-17.el8 appstream 298 k
glibc-devel x86_64 2.28-167.el8 baseos 1.0 M
intltool noarch 0.51.0-11.el8 appstream 66 k
jna x86_64 4.5.1-5.el8 appstream 242 k
libtool x86_64 2.4.6-25.el8 appstream 709 k
ltrace x86_64 0.7.91-28.el8 appstream 160 k
make x86_64 1:4.2.1-11.el8 baseos 498 k
patchutils x86_64 0.3.4-10.el8 appstream 116 k
perl-Fedora-VSP noarch 0.001-9.el8 appstream 24 k
perl-Sys-Syslog x86_64 0.35-397.el8 appstream 50 k
perl-generators noarch 1.10-9.el8 appstream 18 k
pesign x86_64 0.112-26.el8 appstream 181 k
redhat-rpm-config noarch 125-1.el8 appstream 86 k
rpm-build x86_64 4.14.3-19.el8 appstream 173 k
rpm-sign x86_64 4.14.3-19.el8 baseos 81 k
source-highlight x86_64 3.1.8-17.el8 appstream 660 k
systemtap x86_64 4.5-3.el8 appstream 20 k
valgrind x86_64 1:3.18.1-1.el8 appstream 11 M
valgrind-devel x86_64 1:3.18.1-1.el8 appstream 93 k
Abhängigkeiten werden installiert:
annobin x86_64 10.23-1.el8 appstream 116 k
boost-filesystem x86_64 1.66.0-10.el8 appstream 49 k
boost-timer x86_64 1.66.0-10.el8 appstream 21 k
copy-jdk-configs noarch 4.0-2.el8 appstream 31 k
cpp x86_64 8.5.0-3.el8 appstream 10 M
docbook-dtds noarch 1.0-69.el8 appstream 377 k
docbook-style-xsl noarch 1.79.2-9.el8 appstream 1.6 M
dwz x86_64 0.12-10.el8 appstream 109 k
dyninst x86_64 11.0.0-3.el8 appstream 3.9 M
efi-srpm-macros noarch 3-3.el8 appstream 22 k
elfutils x86_64 0.185-1.el8 baseos 540 k
elfutils-devel x86_64 0.185-1.el8 baseos 86 k
gc x86_64 7.6.4-3.el8 appstream 109 k
gdb-headless x86_64 8.2-17.el8 appstream 3.7 M
gettext-common-devel noarch 0.19.8.1-17.el8 baseos 419 k
gettext-devel x86_64 0.19.8.1-17.el8 baseos 331 k
ghc-srpm-macros noarch 1.4.2-7.el8 appstream 9.3 k
glibc-headers x86_64 2.28-167.el8 baseos 480 k
go-srpm-macros noarch 2-17.el8 appstream 13 k
graphviz x86_64 2.40.1-43.el8 appstream 1.7 M
guile x86_64 5:2.0.14-7.el8 appstream 3.5 M
isl x86_64 0.16.1-6.el8 appstream 841 k
java-1.8.0-openjdk-headless x86_64 1:1.8.0.312.b07-1.el8_4 appstream 34 M
javapackages-filesystem noarch 5.3.0-1.module_el8.0.0+11+5b8c10bd
appstream 30 k
kernel-headers x86_64 4.18.0-348.el8 baseos 8.3 M
libXaw x86_64 1.0.13-10.el8 appstream 194 k
libatomic_ops x86_64 7.6.2-3.el8 appstream 38 k
libbabeltrace x86_64 1.5.4-3.el8 baseos 200 k
libipt x86_64 1.6.1-8.el8 appstream 50 k
libstdc++-devel x86_64 8.5.0-3.el8 appstream 2.0 M
libxcrypt-devel x86_64 4.1.1-6.el8 baseos 25 k
libzstd-devel x86_64 1.4.4-1.el8 baseos 44 k
lksctp-tools x86_64 1.0.18-3.el8 baseos 100 k
m4 x86_64 1.4.18-7.el8 baseos 223 k
nss-tools x86_64 3.67.0-6.el8_4 appstream 576 k
ocaml-srpm-macros noarch 5-4.el8 appstream 9.4 k
openblas-srpm-macros noarch 2-2.el8 appstream 7.9 k
patch x86_64 2.7.6-11.el8 baseos 138 k
perl-Thread-Queue noarch 3.13-1.el8 appstream 24 k
perl-XML-Parser x86_64 2.44-11.el8 appstream 226 k
perl-srpm-macros noarch 1-25.el8 appstream 11 k
python-rpm-macros noarch 3-41.el8 appstream 15 k
python-srpm-macros noarch 3-41.el8 appstream 15 k
python3-rpm-macros noarch 3-41.el8 appstream 14 k
qt5-srpm-macros noarch 5.15.2-1.el8 appstream 11 k
rust-srpm-macros noarch 5-2.el8 appstream 9.2 k
sgml-common noarch 0.6.3-50.el8 baseos 62 k
systemtap-client x86_64 4.5-3.el8 appstream 3.7 M
systemtap-devel x86_64 4.5-3.el8 appstream 2.3 M
systemtap-runtime x86_64 4.5-3.el8 appstream 509 k
tbb x86_64 2018.2-9.el8 appstream 160 k
tzdata-java noarch 2021e-1.el8 appstream 191 k
xorg-x11-fonts-ISO8859-1-100dpi noarch 7.5-19.el8 appstream 1.1 M
xz-devel x86_64 5.2.4-3.el8 baseos 62 k
zlib-devel x86_64 1.2.11-17.el8 baseos 58 k
zstd x86_64 1.4.4-1.el8 appstream 393 k
Schwache Abhängigkeiten werden installiert:
elfutils-debuginfod-client-devel
x86_64 0.185-1.el8 baseos 56 k
gcc-gdb-plugin x86_64 8.5.0-3.el8 appstream 118 k
kernel-devel x86_64 4.18.0-348.el8 baseos 20 M
Enabling module streams:
javapackages-runtime 201801
Installing Groups:
Development Tools

Transaktionsübersicht
================================================================================
Installieren 89 Pakete

Gesamte Downloadgröße: 157 M
Installationsgröße: 460 M
Ist dies in Ordnung? [j/N]: j
Pakete werden heruntergeladen:
(1/89): annobin-10.23-1.el8.x86_64.rpm 600 kB/s | 116 kB 00:00
(2/89): asciidoc-8.6.10-0.5.20180627gitf7c2274. 936 kB/s | 216 kB 00:00
(3/89): autoconf-2.69-29.el8.noarch.rpm 2.8 MB/s | 710 kB 00:00
(4/89): automake-1.16.1-7.el8.noarch.rpm 7.1 MB/s | 713 kB 00:00
(5/89): boost-filesystem-1.66.0-10.el8.x86_64.r 1.1 MB/s | 49 kB 00:00
(6/89): byacc-1.9.20170709-4.el8.x86_64.rpm 2.3 MB/s | 91 kB 00:00
(7/89): bison-3.0.4-10.el8.x86_64.rpm 6.4 MB/s | 688 kB 00:00
(8/89): boost-timer-1.66.0-10.el8.x86_64.rpm 397 kB/s | 21 kB 00:00
(9/89): copy-jdk-configs-4.0-2.el8.noarch.rpm 1.0 MB/s | 31 kB 00:00
(10/89): ctags-5.8-22.el8.x86_64.rpm 3.7 MB/s | 170 kB 00:00
(11/89): diffstat-1.61-7.el8.x86_64.rpm 1.4 MB/s | 44 kB 00:00
(12/89): docbook-dtds-1.0-69.el8.noarch.rpm 2.7 MB/s | 377 kB 00:00
(13/89): docbook-style-xsl-1.79.2-9.el8.noarch. 9.9 MB/s | 1.6 MB 00:00
(14/89): cpp-8.5.0-3.el8.x86_64.rpm 27 MB/s | 10 MB 00:00
(15/89): dwz-0.12-10.el8.x86_64.rpm 529 kB/s | 109 kB 00:00
(16/89): efi-srpm-macros-3-3.el8.noarch.rpm 930 kB/s | 22 kB 00:00
(17/89): dyninst-11.0.0-3.el8.x86_64.rpm 16 MB/s | 3.9 MB 00:00
(18/89): gc-7.6.4-3.el8.x86_64.rpm 2.3 MB/s | 109 kB 00:00
(19/89): flex-2.6.1-9.el8.x86_64.rpm 4.4 MB/s | 320 kB 00:00
(20/89): gcc-gdb-plugin-8.5.0-3.el8.x86_64.rpm 3.9 MB/s | 118 kB 00:00
(21/89): gdb-8.2-17.el8.x86_64.rpm 5.7 MB/s | 298 kB 00:00
(22/89): gdb-headless-8.2-17.el8.x86_64.rpm 14 MB/s | 3.7 MB 00:00
(23/89): gcc-c++-8.5.0-3.el8.x86_64.rpm 21 MB/s | 12 MB 00:00
(24/89): ghc-srpm-macros-1.4.2-7.el8.noarch.rpm 42 kB/s | 9.3 kB 00:00
(25/89): go-srpm-macros-2-17.el8.noarch.rpm 440 kB/s | 13 kB 00:00
(26/89): graphviz-2.40.1-43.el8.x86_64.rpm 14 MB/s | 1.7 MB 00:00
(27/89): intltool-0.51.0-11.el8.noarch.rpm 1.4 MB/s | 66 kB 00:00
(28/89): guile-2.0.14-7.el8.x86_64.rpm 16 MB/s | 3.5 MB 00:00
(29/89): isl-0.16.1-6.el8.x86_64.rpm 5.4 MB/s | 841 kB 00:00
(30/89): javapackages-filesystem-5.3.0-1.module 932 kB/s | 30 kB 00:00
(31/89): jna-4.5.1-5.el8.x86_64.rpm 3.1 MB/s | 242 kB 00:00
(32/89): gcc-8.5.0-3.el8.x86_64.rpm 16 MB/s | 23 MB 00:01
(33/89): libXaw-1.0.13-10.el8.x86_64.rpm 412 kB/s | 194 kB 00:00
(34/89): libatomic_ops-7.6.2-3.el8.x86_64.rpm 1.2 MB/s | 38 kB 00:00
(35/89): libipt-1.6.1-8.el8.x86_64.rpm 1.1 MB/s | 50 kB 00:00
(36/89): libtool-2.4.6-25.el8.x86_64.rpm 4.0 MB/s | 709 kB 00:00
(37/89): ltrace-0.7.91-28.el8.x86_64.rpm 2.1 MB/s | 160 kB 00:00
(38/89): libstdc++-devel-8.5.0-3.el8.x86_64.rpm 7.3 MB/s | 2.0 MB 00:00
(39/89): ocaml-srpm-macros-5-4.el8.noarch.rpm 162 kB/s | 9.4 kB 00:00
(40/89): nss-tools-3.67.0-6.el8_4.x86_64.rpm 6.2 MB/s | 576 kB 00:00
(41/89): patchutils-0.3.4-10.el8.x86_64.rpm 2.7 MB/s | 116 kB 00:00
(42/89): openblas-srpm-macros-2-2.el8.noarch.rp 97 kB/s | 7.9 kB 00:00
(43/89): perl-Fedora-VSP-0.001-9.el8.noarch.rpm 915 kB/s | 24 kB 00:00
(44/89): java-1.8.0-openjdk-headless-1.8.0.312. 19 MB/s | 34 MB 00:01
(45/89): perl-Thread-Queue-3.13-1.el8.noarch.rp 36 kB/s | 24 kB 00:00
(46/89): perl-Sys-Syslog-0.35-397.el8.x86_64.rp 75 kB/s | 50 kB 00:00
(47/89): perl-srpm-macros-1-25.el8.noarch.rpm 243 kB/s | 11 kB 00:00
(48/89): perl-generators-1.10-9.el8.noarch.rpm 390 kB/s | 18 kB 00:00
(49/89): perl-XML-Parser-2.44-11.el8.x86_64.rpm 4.0 MB/s | 226 kB 00:00
(50/89): python-rpm-macros-3-41.el8.noarch.rpm 470 kB/s | 15 kB 00:00
(51/89): python-srpm-macros-3-41.el8.noarch.rpm 541 kB/s | 15 kB 00:00
(52/89): pesign-0.112-26.el8.x86_64.rpm 4.0 MB/s | 181 kB 00:00
(53/89): python3-rpm-macros-3-41.el8.noarch.rpm 498 kB/s | 14 kB 00:00
(54/89): qt5-srpm-macros-5.15.2-1.el8.noarch.rp 344 kB/s | 11 kB 00:00
(55/89): redhat-rpm-config-125-1.el8.noarch.rpm 2.7 MB/s | 86 kB 00:00
(56/89): rpm-build-4.14.3-19.el8.x86_64.rpm 5.2 MB/s | 173 kB 00:00
(57/89): rust-srpm-macros-5-2.el8.noarch.rpm 222 kB/s | 9.2 kB 00:00
(58/89): systemtap-4.5-3.el8.x86_64.rpm 629 kB/s | 20 kB 00:00
(59/89): source-highlight-3.1.8-17.el8.x86_64.r 9.3 MB/s | 660 kB 00:00
(60/89): systemtap-runtime-4.5-3.el8.x86_64.rpm 6.8 MB/s | 509 kB 00:00
(61/89): systemtap-devel-4.5-3.el8.x86_64.rpm 14 MB/s | 2.3 MB 00:00
(62/89): systemtap-client-4.5-3.el8.x86_64.rpm 17 MB/s | 3.7 MB 00:00
(63/89): tbb-2018.2-9.el8.x86_64.rpm 1.4 MB/s | 160 kB 00:00
(64/89): tzdata-java-2021e-1.el8.noarch.rpm 5.6 MB/s | 191 kB 00:00
(65/89): valgrind-devel-3.18.1-1.el8.x86_64.rpm 1.5 MB/s | 93 kB 00:00
(66/89): xorg-x11-fonts-ISO8859-1-100dpi-7.5-19 6.7 MB/s | 1.1 MB 00:00
(67/89): zstd-1.4.4-1.el8.x86_64.rpm 3.2 MB/s | 393 kB 00:00
(68/89): valgrind-3.18.1-1.el8.x86_64.rpm 25 MB/s | 11 MB 00:00
(69/89): elfutils-debuginfod-client-devel-0.185 221 kB/s | 56 kB 00:00
(70/89): elfutils-0.185-1.el8.x86_64.rpm 1.9 MB/s | 540 kB 00:00
(71/89): elfutils-devel-0.185-1.el8.x86_64.rpm 2.6 MB/s | 86 kB 00:00
(72/89): gettext-devel-0.19.8.1-17.el8.x86_64.r 7.8 MB/s | 331 kB 00:00
(73/89): elfutils-libelf-devel-0.185-1.el8.x86_ 788 kB/s | 59 kB 00:00
(74/89): gettext-common-devel-0.19.8.1-17.el8.n 5.7 MB/s | 419 kB 00:00
(75/89): glibc-headers-2.28-167.el8.x86_64.rpm 9.1 MB/s | 480 kB 00:00
(76/89): glibc-devel-2.28-167.el8.x86_64.rpm 8.4 MB/s | 1.0 MB 00:00
(77/89): libbabeltrace-1.5.4-3.el8.x86_64.rpm 3.0 MB/s | 200 kB 00:00
(78/89): libxcrypt-devel-4.1.1-6.el8.x86_64.rpm 1.0 MB/s | 25 kB 00:00
(79/89): libzstd-devel-1.4.4-1.el8.x86_64.rpm 724 kB/s | 44 kB 00:00
(80/89): lksctp-tools-1.0.18-3.el8.x86_64.rpm 1.9 MB/s | 100 kB 00:00
(81/89): m4-1.4.18-7.el8.x86_64.rpm 5.5 MB/s | 223 kB 00:00
(82/89): make-4.2.1-11.el8.x86_64.rpm 5.3 MB/s | 498 kB 00:00
(83/89): kernel-headers-4.18.0-348.el8.x86_64.r 16 MB/s | 8.3 MB 00:00
(84/89): patch-2.7.6-11.el8.x86_64.rpm 1.1 MB/s | 138 kB 00:00
(85/89): kernel-devel-4.18.0-348.el8.x86_64.rpm 21 MB/s | 20 MB 00:00
(86/89): sgml-common-0.6.3-50.el8.noarch.rpm 165 kB/s | 62 kB 00:00
(87/89): rpm-sign-4.14.3-19.el8.x86_64.rpm 213 kB/s | 81 kB 00:00
(88/89): xz-devel-5.2.4-3.el8.x86_64.rpm 2.1 MB/s | 62 kB 00:00
(89/89): zlib-devel-1.2.11-17.el8.x86_64.rpm 1.6 MB/s | 58 kB 00:00
--------------------------------------------------------------------------------
Gesamt 29 MB/s | 157 MB 00:05
CentOS Stream 8 - AppStream 1.6 MB/s | 1.6 kB 00:00
GPG-Schlüssel 0x8483C65D wird importiert:
Benutzer-ID : »CentOS (CentOS Official Signing Key) <security@centos.org>«
Fingerabdruck: 99DB 70FA E1D7 CE22 7FB6 4882 05B5 55B3 8483 C65D
Von : /etc/pki/rpm-gpg/RPM-GPG-KEY-centosofficial
Ist dies in Ordnung? [j/N]: j
Schlüssel erfolgreich importiert
Transaktionsüberprüfung wird ausgeführt
Transaktionsprüfung war erfolgreich.
Transaktion wird getestet
Transaktionstest war erfolgreich.
Transaktion wird ausgeführt
Ausgeführtes Scriptlet: copy-jdk-configs-4.0-2.el8.noarch 1/1
Ausgeführtes Scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.312.b07-1.e 1/1
Vorbereitung läuft : 1/1
Installieren : m4-1.4.18-7.el8.x86_64 1/89
Ausgeführtes Scriptlet: m4-1.4.18-7.el8.x86_64 1/89
Installieren : autoconf-2.69-29.el8.noarch 2/89
Ausgeführtes Scriptlet: autoconf-2.69-29.el8.noarch 2/89
Installieren : zlib-devel-1.2.11-17.el8.x86_64 3/89
Installieren : patch-2.7.6-11.el8.x86_64 4/89
Installieren : python-srpm-macros-3-41.el8.noarch 5/89
Installieren : javapackages-filesystem-5.3.0-1.module_el8.0. 6/89
Installieren : python-rpm-macros-3-41.el8.noarch 7/89
Installieren : python3-rpm-macros-3-41.el8.noarch 8/89
Installieren : elfutils-libelf-devel-0.185-1.el8.x86_64 9/89
Installieren : xz-devel-5.2.4-3.el8.x86_64 10/89
Installieren : sgml-common-0.6.3-50.el8.noarch 11/89
Installieren : docbook-dtds-1.0-69.el8.noarch 12/89
Ausgeführtes Scriptlet: docbook-dtds-1.0-69.el8.noarch 12/89
Installieren : docbook-style-xsl-1.79.2-9.el8.noarch 13/89
Ausgeführtes Scriptlet: docbook-style-xsl-1.79.2-9.el8.noarch 13/89
Installieren : make-1:4.2.1-11.el8.x86_64 14/89
Ausgeführtes Scriptlet: make-1:4.2.1-11.el8.x86_64 14/89
Installieren : lksctp-tools-1.0.18-3.el8.x86_64 15/89
Ausgeführtes Scriptlet: lksctp-tools-1.0.18-3.el8.x86_64 15/89
Installieren : libzstd-devel-1.4.4-1.el8.x86_64 16/89
Installieren : libbabeltrace-1.5.4-3.el8.x86_64 17/89
Ausgeführtes Scriptlet: libbabeltrace-1.5.4-3.el8.x86_64 17/89
Installieren : kernel-headers-4.18.0-348.el8.x86_64 18/89
Ausgeführtes Scriptlet: glibc-headers-2.28-167.el8.x86_64 19/89
Installieren : glibc-headers-2.28-167.el8.x86_64 19/89
Installieren : libxcrypt-devel-4.1.1-6.el8.x86_64 20/89
Installieren : glibc-devel-2.28-167.el8.x86_64 21/89
Ausgeführtes Scriptlet: glibc-devel-2.28-167.el8.x86_64 21/89
Installieren : kernel-devel-4.18.0-348.el8.x86_64 22/89
Ausgeführtes Scriptlet: kernel-devel-4.18.0-348.el8.x86_64 22/89
Installieren : gettext-common-devel-0.19.8.1-17.el8.noarch 23/89
Installieren : gettext-devel-0.19.8.1-17.el8.x86_64 24/89
Ausgeführtes Scriptlet: gettext-devel-0.19.8.1-17.el8.x86_64 24/89
Installieren : elfutils-debuginfod-client-devel-0.185-1.el8. 25/89
Installieren : elfutils-devel-0.185-1.el8.x86_64 26/89
Installieren : elfutils-0.185-1.el8.x86_64 27/89
Installieren : zstd-1.4.4-1.el8.x86_64 28/89
Installieren : xorg-x11-fonts-ISO8859-1-100dpi-7.5-19.el8.no 29/89
Ausgeführtes Scriptlet: xorg-x11-fonts-ISO8859-1-100dpi-7.5-19.el8.no 29/89
Installieren : valgrind-1:3.18.1-1.el8.x86_64 30/89
Installieren : tzdata-java-2021e-1.el8.noarch 31/89
Installieren : tbb-2018.2-9.el8.x86_64 32/89
Ausgeführtes Scriptlet: tbb-2018.2-9.el8.x86_64 32/89
Installieren : rust-srpm-macros-5-2.el8.noarch 33/89
Installieren : qt5-srpm-macros-5.15.2-1.el8.noarch 34/89
Installieren : perl-srpm-macros-1-25.el8.noarch 35/89
Installieren : perl-XML-Parser-2.44-11.el8.x86_64 36/89
Installieren : perl-Thread-Queue-3.13-1.el8.noarch 37/89
Installieren : automake-1.16.1-7.el8.noarch 38/89
Installieren : perl-Fedora-VSP-0.001-9.el8.noarch 39/89
Installieren : openblas-srpm-macros-2-2.el8.noarch 40/89
Installieren : ocaml-srpm-macros-5-4.el8.noarch 41/89
Installieren : nss-tools-3.67.0-6.el8_4.x86_64 42/89
Installieren : libstdc++-devel-8.5.0-3.el8.x86_64 43/89
Installieren : libipt-1.6.1-8.el8.x86_64 44/89
Installieren : libatomic_ops-7.6.2-3.el8.x86_64 45/89
Installieren : gc-7.6.4-3.el8.x86_64 46/89
Installieren : guile-5:2.0.14-7.el8.x86_64 47/89
Ausgeführtes Scriptlet: guile-5:2.0.14-7.el8.x86_64 47/89
Installieren : gdb-headless-8.2-17.el8.x86_64 48/89
Installieren : libXaw-1.0.13-10.el8.x86_64 49/89
Installieren : graphviz-2.40.1-43.el8.x86_64 50/89
Ausgeführtes Scriptlet: graphviz-2.40.1-43.el8.x86_64 50/89
Installieren : isl-0.16.1-6.el8.x86_64 51/89
Ausgeführtes Scriptlet: isl-0.16.1-6.el8.x86_64 51/89
Installieren : go-srpm-macros-2-17.el8.noarch 52/89
Installieren : ghc-srpm-macros-1.4.2-7.el8.noarch 53/89
Installieren : efi-srpm-macros-3-3.el8.noarch 54/89
Installieren : dwz-0.12-10.el8.x86_64 55/89
Installieren : ctags-5.8-22.el8.x86_64 56/89
Installieren : source-highlight-3.1.8-17.el8.x86_64 57/89
Ausgeführtes Scriptlet: source-highlight-3.1.8-17.el8.x86_64 57/89
Installieren : cpp-8.5.0-3.el8.x86_64 58/89
Ausgeführtes Scriptlet: cpp-8.5.0-3.el8.x86_64 58/89
Installieren : gcc-8.5.0-3.el8.x86_64 59/89
Ausgeführtes Scriptlet: gcc-8.5.0-3.el8.x86_64 59/89
Installieren : annobin-10.23-1.el8.x86_64 60/89
Installieren : redhat-rpm-config-125-1.el8.noarch 61/89
Installieren : gcc-gdb-plugin-8.5.0-3.el8.x86_64 62/89
Ausgeführtes Scriptlet: gcc-gdb-plugin-8.5.0-3.el8.x86_64 62/89
Installieren : systemtap-devel-4.5-3.el8.x86_64 63/89
Installieren : copy-jdk-configs-4.0-2.el8.noarch 64/89
Installieren : java-1.8.0-openjdk-headless-1:1.8.0.312.b07-1 65/89
Ausgeführtes Scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.312.b07-1 65/89
Installieren : boost-timer-1.66.0-10.el8.x86_64 66/89
Ausgeführtes Scriptlet: boost-timer-1.66.0-10.el8.x86_64 66/89
Installieren : boost-filesystem-1.66.0-10.el8.x86_64 67/89
Ausgeführtes Scriptlet: boost-filesystem-1.66.0-10.el8.x86_64 67/89
Installieren : dyninst-11.0.0-3.el8.x86_64 68/89
Ausgeführtes Scriptlet: dyninst-11.0.0-3.el8.x86_64 68/89
Ausgeführtes Scriptlet: systemtap-runtime-4.5-3.el8.x86_64 69/89
Installieren : systemtap-runtime-4.5-3.el8.x86_64 69/89
Installieren : systemtap-client-4.5-3.el8.x86_64 70/89
Installieren : systemtap-4.5-3.el8.x86_64 71/89
Ausgeführtes Scriptlet: systemtap-4.5-3.el8.x86_64 71/89
Installieren : jna-4.5.1-5.el8.x86_64 72/89
Installieren : gdb-8.2-17.el8.x86_64 73/89
Installieren : rpm-build-4.14.3-19.el8.x86_64 74/89
Installieren : gcc-c++-8.5.0-3.el8.x86_64 75/89
Installieren : libtool-2.4.6-25.el8.x86_64 76/89
Ausgeführtes Scriptlet: libtool-2.4.6-25.el8.x86_64 76/89
Installieren : asciidoc-8.6.10-0.5.20180627gitf7c2274.el8.no 77/89
Ausgeführtes Scriptlet: pesign-0.112-26.el8.x86_64 78/89
Installieren : pesign-0.112-26.el8.x86_64 78/89
Ausgeführtes Scriptlet: pesign-0.112-26.el8.x86_64 78/89
Installieren : perl-generators-1.10-9.el8.noarch 79/89
Installieren : intltool-0.51.0-11.el8.noarch 80/89
Installieren : valgrind-devel-1:3.18.1-1.el8.x86_64 81/89
Installieren : bison-3.0.4-10.el8.x86_64 82/89
Ausgeführtes Scriptlet: bison-3.0.4-10.el8.x86_64 82/89
Installieren : flex-2.6.1-9.el8.x86_64 83/89
Ausgeführtes Scriptlet: flex-2.6.1-9.el8.x86_64 83/89
Installieren : rpm-sign-4.14.3-19.el8.x86_64 84/89
Installieren : perl-Sys-Syslog-0.35-397.el8.x86_64 85/89
Installieren : patchutils-0.3.4-10.el8.x86_64 86/89
Installieren : ltrace-0.7.91-28.el8.x86_64 87/89
Installieren : diffstat-1.61-7.el8.x86_64 88/89
Installieren : byacc-1.9.20170709-4.el8.x86_64 89/89
Ausgeführtes Scriptlet: guile-5:2.0.14-7.el8.x86_64 89/89
Ausgeführtes Scriptlet: copy-jdk-configs-4.0-2.el8.noarch 89/89
Ausgeführtes Scriptlet: byacc-1.9.20170709-4.el8.x86_64 89/89
Überprüfung läuft : annobin-10.23-1.el8.x86_64 1/89
Überprüfung läuft : asciidoc-8.6.10-0.5.20180627gitf7c2274.el8.no 2/89
Überprüfung läuft : autoconf-2.69-29.el8.noarch 3/89
Überprüfung läuft : automake-1.16.1-7.el8.noarch 4/89
Überprüfung läuft : bison-3.0.4-10.el8.x86_64 5/89
Überprüfung läuft : boost-filesystem-1.66.0-10.el8.x86_64 6/89
Überprüfung läuft : boost-timer-1.66.0-10.el8.x86_64 7/89
Überprüfung läuft : byacc-1.9.20170709-4.el8.x86_64 8/89
Überprüfung läuft : copy-jdk-configs-4.0-2.el8.noarch 9/89
Überprüfung läuft : cpp-8.5.0-3.el8.x86_64 10/89
Überprüfung läuft : ctags-5.8-22.el8.x86_64 11/89
Überprüfung läuft : diffstat-1.61-7.el8.x86_64 12/89
Überprüfung läuft : docbook-dtds-1.0-69.el8.noarch 13/89
Überprüfung läuft : docbook-style-xsl-1.79.2-9.el8.noarch 14/89
Überprüfung läuft : dwz-0.12-10.el8.x86_64 15/89
Überprüfung läuft : dyninst-11.0.0-3.el8.x86_64 16/89
Überprüfung läuft : efi-srpm-macros-3-3.el8.noarch 17/89
Überprüfung läuft : flex-2.6.1-9.el8.x86_64 18/89
Überprüfung läuft : gc-7.6.4-3.el8.x86_64 19/89
Überprüfung läuft : gcc-8.5.0-3.el8.x86_64 20/89
Überprüfung läuft : gcc-c++-8.5.0-3.el8.x86_64 21/89
Überprüfung läuft : gcc-gdb-plugin-8.5.0-3.el8.x86_64 22/89
Überprüfung läuft : gdb-8.2-17.el8.x86_64 23/89
Überprüfung läuft : gdb-headless-8.2-17.el8.x86_64 24/89
Überprüfung läuft : ghc-srpm-macros-1.4.2-7.el8.noarch 25/89
Überprüfung läuft : go-srpm-macros-2-17.el8.noarch 26/89
Überprüfung läuft : graphviz-2.40.1-43.el8.x86_64 27/89
Überprüfung läuft : guile-5:2.0.14-7.el8.x86_64 28/89
Überprüfung läuft : intltool-0.51.0-11.el8.noarch 29/89
Überprüfung läuft : isl-0.16.1-6.el8.x86_64 30/89
Überprüfung läuft : java-1.8.0-openjdk-headless-1:1.8.0.312.b07-1 31/89
Überprüfung läuft : javapackages-filesystem-5.3.0-1.module_el8.0. 32/89
Überprüfung läuft : jna-4.5.1-5.el8.x86_64 33/89
Überprüfung läuft : libXaw-1.0.13-10.el8.x86_64 34/89
Überprüfung läuft : libatomic_ops-7.6.2-3.el8.x86_64 35/89
Überprüfung läuft : libipt-1.6.1-8.el8.x86_64 36/89
Überprüfung läuft : libstdc++-devel-8.5.0-3.el8.x86_64 37/89
Überprüfung läuft : libtool-2.4.6-25.el8.x86_64 38/89
Überprüfung läuft : ltrace-0.7.91-28.el8.x86_64 39/89
Überprüfung läuft : nss-tools-3.67.0-6.el8_4.x86_64 40/89
Überprüfung läuft : ocaml-srpm-macros-5-4.el8.noarch 41/89
Überprüfung läuft : openblas-srpm-macros-2-2.el8.noarch 42/89
Überprüfung läuft : patchutils-0.3.4-10.el8.x86_64 43/89
Überprüfung läuft : perl-Fedora-VSP-0.001-9.el8.noarch 44/89
Überprüfung läuft : perl-Sys-Syslog-0.35-397.el8.x86_64 45/89
Überprüfung läuft : perl-Thread-Queue-3.13-1.el8.noarch 46/89
Überprüfung läuft : perl-XML-Parser-2.44-11.el8.x86_64 47/89
Überprüfung läuft : perl-generators-1.10-9.el8.noarch 48/89
Überprüfung läuft : perl-srpm-macros-1-25.el8.noarch 49/89
Überprüfung läuft : pesign-0.112-26.el8.x86_64 50/89
Überprüfung läuft : python-rpm-macros-3-41.el8.noarch 51/89
Überprüfung läuft : python-srpm-macros-3-41.el8.noarch 52/89
Überprüfung läuft : python3-rpm-macros-3-41.el8.noarch 53/89
Überprüfung läuft : qt5-srpm-macros-5.15.2-1.el8.noarch 54/89
Überprüfung läuft : redhat-rpm-config-125-1.el8.noarch 55/89
Überprüfung läuft : rpm-build-4.14.3-19.el8.x86_64 56/89
Überprüfung läuft : rust-srpm-macros-5-2.el8.noarch 57/89
Überprüfung läuft : source-highlight-3.1.8-17.el8.x86_64 58/89
Überprüfung läuft : systemtap-4.5-3.el8.x86_64 59/89
Überprüfung läuft : systemtap-client-4.5-3.el8.x86_64 60/89
Überprüfung läuft : systemtap-devel-4.5-3.el8.x86_64 61/89
Überprüfung läuft : systemtap-runtime-4.5-3.el8.x86_64 62/89
Überprüfung läuft : tbb-2018.2-9.el8.x86_64 63/89
Überprüfung läuft : tzdata-java-2021e-1.el8.noarch 64/89
Überprüfung läuft : valgrind-1:3.18.1-1.el8.x86_64 65/89
Überprüfung läuft : valgrind-devel-1:3.18.1-1.el8.x86_64 66/89
Überprüfung läuft : xorg-x11-fonts-ISO8859-1-100dpi-7.5-19.el8.no 67/89
Überprüfung läuft : zstd-1.4.4-1.el8.x86_64 68/89
Überprüfung läuft : elfutils-0.185-1.el8.x86_64 69/89
Überprüfung läuft : elfutils-debuginfod-client-devel-0.185-1.el8. 70/89
Überprüfung läuft : elfutils-devel-0.185-1.el8.x86_64 71/89
Überprüfung läuft : elfutils-libelf-devel-0.185-1.el8.x86_64 72/89
Überprüfung läuft : gettext-common-devel-0.19.8.1-17.el8.noarch 73/89
Überprüfung läuft : gettext-devel-0.19.8.1-17.el8.x86_64 74/89
Überprüfung läuft : glibc-devel-2.28-167.el8.x86_64 75/89
Überprüfung läuft : glibc-headers-2.28-167.el8.x86_64 76/89
Überprüfung läuft : kernel-devel-4.18.0-348.el8.x86_64 77/89
Überprüfung läuft : kernel-headers-4.18.0-348.el8.x86_64 78/89
Überprüfung läuft : libbabeltrace-1.5.4-3.el8.x86_64 79/89
Überprüfung läuft : libxcrypt-devel-4.1.1-6.el8.x86_64 80/89
Überprüfung läuft : libzstd-devel-1.4.4-1.el8.x86_64 81/89
Überprüfung läuft : lksctp-tools-1.0.18-3.el8.x86_64 82/89
Überprüfung läuft : m4-1.4.18-7.el8.x86_64 83/89
Überprüfung läuft : make-1:4.2.1-11.el8.x86_64 84/89
Überprüfung läuft : patch-2.7.6-11.el8.x86_64 85/89
Überprüfung läuft : rpm-sign-4.14.3-19.el8.x86_64 86/89
Überprüfung läuft : sgml-common-0.6.3-50.el8.noarch 87/89
Überprüfung läuft : xz-devel-5.2.4-3.el8.x86_64 88/89
Überprüfung läuft : zlib-devel-1.2.11-17.el8.x86_64 89/89

Installiert:
annobin-10.23-1.el8.x86_64
asciidoc-8.6.10-0.5.20180627gitf7c2274.el8.noarch
autoconf-2.69-29.el8.noarch
automake-1.16.1-7.el8.noarch
bison-3.0.4-10.el8.x86_64
boost-filesystem-1.66.0-10.el8.x86_64
boost-timer-1.66.0-10.el8.x86_64
byacc-1.9.20170709-4.el8.x86_64
copy-jdk-configs-4.0-2.el8.noarch
cpp-8.5.0-3.el8.x86_64
ctags-5.8-22.el8.x86_64
diffstat-1.61-7.el8.x86_64
docbook-dtds-1.0-69.el8.noarch
docbook-style-xsl-1.79.2-9.el8.noarch
dwz-0.12-10.el8.x86_64
dyninst-11.0.0-3.el8.x86_64
efi-srpm-macros-3-3.el8.noarch
elfutils-0.185-1.el8.x86_64
elfutils-debuginfod-client-devel-0.185-1.el8.x86_64
elfutils-devel-0.185-1.el8.x86_64
elfutils-libelf-devel-0.185-1.el8.x86_64
flex-2.6.1-9.el8.x86_64
gc-7.6.4-3.el8.x86_64
gcc-8.5.0-3.el8.x86_64
gcc-c++-8.5.0-3.el8.x86_64
gcc-gdb-plugin-8.5.0-3.el8.x86_64
gdb-8.2-17.el8.x86_64
gdb-headless-8.2-17.el8.x86_64
gettext-common-devel-0.19.8.1-17.el8.noarch
gettext-devel-0.19.8.1-17.el8.x86_64
ghc-srpm-macros-1.4.2-7.el8.noarch
glibc-devel-2.28-167.el8.x86_64
glibc-headers-2.28-167.el8.x86_64
go-srpm-macros-2-17.el8.noarch
graphviz-2.40.1-43.el8.x86_64
guile-5:2.0.14-7.el8.x86_64
intltool-0.51.0-11.el8.noarch
isl-0.16.1-6.el8.x86_64
java-1.8.0-openjdk-headless-1:1.8.0.312.b07-1.el8_4.x86_64
javapackages-filesystem-5.3.0-1.module_el8.0.0+11+5b8c10bd.noarch
jna-4.5.1-5.el8.x86_64
kernel-devel-4.18.0-348.el8.x86_64
kernel-headers-4.18.0-348.el8.x86_64
libXaw-1.0.13-10.el8.x86_64
libatomic_ops-7.6.2-3.el8.x86_64
libbabeltrace-1.5.4-3.el8.x86_64
libipt-1.6.1-8.el8.x86_64
libstdc++-devel-8.5.0-3.el8.x86_64
libtool-2.4.6-25.el8.x86_64
libxcrypt-devel-4.1.1-6.el8.x86_64
libzstd-devel-1.4.4-1.el8.x86_64
lksctp-tools-1.0.18-3.el8.x86_64
ltrace-0.7.91-28.el8.x86_64
m4-1.4.18-7.el8.x86_64
make-1:4.2.1-11.el8.x86_64
nss-tools-3.67.0-6.el8_4.x86_64
ocaml-srpm-macros-5-4.el8.noarch
openblas-srpm-macros-2-2.el8.noarch
patch-2.7.6-11.el8.x86_64
patchutils-0.3.4-10.el8.x86_64
perl-Fedora-VSP-0.001-9.el8.noarch
perl-Sys-Syslog-0.35-397.el8.x86_64
perl-Thread-Queue-3.13-1.el8.noarch
perl-XML-Parser-2.44-11.el8.x86_64
perl-generators-1.10-9.el8.noarch
perl-srpm-macros-1-25.el8.noarch
pesign-0.112-26.el8.x86_64
python-rpm-macros-3-41.el8.noarch
python-srpm-macros-3-41.el8.noarch
python3-rpm-macros-3-41.el8.noarch
qt5-srpm-macros-5.15.2-1.el8.noarch
redhat-rpm-config-125-1.el8.noarch
rpm-build-4.14.3-19.el8.x86_64
rpm-sign-4.14.3-19.el8.x86_64
rust-srpm-macros-5-2.el8.noarch
sgml-common-0.6.3-50.el8.noarch
source-highlight-3.1.8-17.el8.x86_64
systemtap-4.5-3.el8.x86_64
systemtap-client-4.5-3.el8.x86_64
systemtap-devel-4.5-3.el8.x86_64
systemtap-runtime-4.5-3.el8.x86_64
tbb-2018.2-9.el8.x86_64
tzdata-java-2021e-1.el8.noarch
valgrind-1:3.18.1-1.el8.x86_64
valgrind-devel-1:3.18.1-1.el8.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-19.el8.noarch
xz-devel-5.2.4-3.el8.x86_64
zlib-devel-1.2.11-17.el8.x86_64
zstd-1.4.4-1.el8.x86_64

Fertig.
[jblue@Base Downloads]$ vmware
[AppLoader] Use shipped PC/SC Lite smart card framework.
An up-to-date "pcsc-lite-libs" or "libpcsclite1" package from your system is preferred.
[jblue@Base Downloads]$ wget https://github.com/mkubecek/vmware-host-modules/archive/workstation-16.2.1.tar.gz
--2021-11-17 22:48:14-- https://github.com/mkubecek/vmware-host-modules/archive/workstation-16.2.1.tar.gz
Auflösen des Hostnamens github.com (github.com)… 140.82.121.3
Verbindungsaufbau zu github.com (github.com)|140.82.121.3|:443 … verbunden.
HTTP-Anforderung gesendet, auf Antwort wird gewartet … 302 Found
Platz: https://codeload.github.com/mkubecek/vmware-host-modules/tar.gz/workstation-16.2.1 [folgend]
--2021-11-17 22:48:14-- https://codeload.github.com/mkubecek/vmware-host-modules/tar.gz/workstation-16.2.1
Auflösen des Hostnamens codeload.github.com (codeload.github.com)… 140.82.121.10
Verbindungsaufbau zu codeload.github.com (codeload.github.com)|140.82.121.10|:443 … verbunden.
HTTP-Anforderung gesendet, auf Antwort wird gewartet … 200 OK
Länge: nicht spezifiziert [application/x-gzip]
Wird in »workstation-16.2.1.tar.gz« gespeichert.

workstation-16.2.1. [ <=> ] 466,02K --.-KB/s in 0,1s

2021-11-17 22:48:15 (4,76 MB/s) - »workstation-16.2.1.tar.gz« gespeichert [477205]

[jblue@Base Downloads]$ tar -xzf workstation-16.2.1.tar.gz
[jblue@Base Downloads]$ cd vmware-host-modules-workstation-16.2.1
[jblue@Base vmware-host-modules-workstation-16.2.1]$ tar -cf vmmon.tar vmmon-only
[jblue@Base vmware-host-modules-workstation-16.2.1]$ tar -cf vmnet.tar vmnet-only
[jblue@Base vmware-host-modules-workstation-16.2.1]$ cp -v vmmon.tar vmnet.tar /usr/lib/vmware/modules/source/
'vmmon.tar' -> '/usr/lib/vmware/modules/source/vmmon.tar'
cp: reguläre Datei '/usr/lib/vmware/modules/source/vmmon.tar' kann nicht angelegt werden: Keine Berechtigung
'vmnet.tar' -> '/usr/lib/vmware/modules/source/vmnet.tar'
cp: reguläre Datei '/usr/lib/vmware/modules/source/vmnet.tar' kann nicht angelegt werden: Keine Berechtigung
[jblue@Base vmware-host-modules-workstation-16.2.1]$ sudo cp -v vmmon.tar vmnet.tar /usr/lib/vmware/modules/source/
[sudo] Passwort für jblue:
'vmmon.tar' -> '/usr/lib/vmware/modules/source/vmmon.tar'
'vmnet.tar' -> '/usr/lib/vmware/modules/source/vmnet.tar'
[jblue@Base vmware-host-modules-workstation-16.2.1]$ sudo vmware-modconfig --console --install-all
[AppLoader] Use shipped PC/SC Lite smart card framework.
An up-to-date "pcsc-lite-libs" or "libpcsclite1" package from your system is preferred.
[AppLoader] GLib does not have GSettings support.
vmware beenden (via systemctl): [ OK ]
make: Verzeichnis „/tmp/modconfig-4eSBrE/vmmon-only“ wird betreten
Using kernel build system.
/bin/make -C /lib/modules/4.18.0-348.el8.x86_64/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. \
MODULEBUILDDIR= modules
make[1]: Verzeichnis „/usr/src/kernels/4.18.0-348.el8.x86_64“ wird betreten
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/linux/driver.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/linux/hostif.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/linux/driverLog.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/memtrack.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/apic.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/statVarsVmmon.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/vmx86.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/sharedAreaVmmon.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/cpuid.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/task.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/moduleloop.o
CC [M] /tmp/modconfig-4eSBrE/vmmon-only/common/crosspage.o
/tmp/modconfig-4eSBrE/vmmon-only/common/crosspage.c:53:16: schwerwiegender Fehler: linux/frame.h: Datei oder Verzeichnis nicht gefunden
# include <linux/frame.h>
^~~~~~~~~~~~~~~
Kompilierung beendet.
make[2]: *** [scripts/Makefile.build:316: /tmp/modconfig-4eSBrE/vmmon-only/common/crosspage.o] Fehler 1
make[2]: *** Es wird auf noch nicht beendete Prozesse gewartet....
make[1]: *** [Makefile:1571: _module_/tmp/modconfig-4eSBrE/vmmon-only] Fehler 2
make[1]: Verzeichnis „/usr/src/kernels/4.18.0-348.el8.x86_64“ wird verlassen
make: *** [Makefile:117: vmmon.ko] Fehler 2
make: Verzeichnis „/tmp/modconfig-4eSBrE/vmmon-only“ wird verlassen
make: Verzeichnis „/tmp/modconfig-4eSBrE/vmnet-only“ wird betreten
Using kernel build system.
/bin/make -C /lib/modules/4.18.0-348.el8.x86_64/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. \
MODULEBUILDDIR= modules
make[1]: Verzeichnis „/usr/src/kernels/4.18.0-348.el8.x86_64“ wird betreten
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/driver.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/hub.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/userif.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/netif.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/bridge.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/procfs.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/smac_compat.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/smac.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/vnetEvent.o
CC [M] /tmp/modconfig-4eSBrE/vmnet-only/vnetUserListener.o
LD [M] /tmp/modconfig-4eSBrE/vmnet-only/vmnet.o
Building modules, stage 2.
MODPOST 1 modules
CC /tmp/modconfig-4eSBrE/vmnet-only/vmnet.mod.o
LD [M] /tmp/modconfig-4eSBrE/vmnet-only/vmnet.ko
make[1]: Verzeichnis „/usr/src/kernels/4.18.0-348.el8.x86_64“ wird verlassen
/bin/make -C $PWD SRCROOT=$PWD/. \
MODULEBUILDDIR= postbuild
make[1]: Verzeichnis „/tmp/modconfig-4eSBrE/vmnet-only“ wird betreten
make[1]: „postbuild“ ist bereits aktuell.
make[1]: Verzeichnis „/tmp/modconfig-4eSBrE/vmnet-only“ wird verlassen
cp -f vmnet.ko ./../vmnet.o
make: Verzeichnis „/tmp/modconfig-4eSBrE/vmnet-only“ wird verlassen
Unable to install all modules. See log for details.

[jblue@Base vmware-host-modules-workstation-16.2.1]$

Moderator edit by wila: Moved the terminal interaction and output into a spoiler.

0 Kudos
jnmurphyjr
Contributor
Contributor

I'm in the same exact spot.

/tmp/modconfig-jRk9OK/vmmon-only/common/crosspage.c:53:16: fatal error: linux/frame.h: No such file or directory
# include <linux/frame.h>

0 Kudos